Documentation Index Fetch the complete documentation index at: https://wiz-myvocal.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Body
Your custom voice’s id or premade voice’s id.
Please do not exceed 32 characters in length.If it is empty, the first 32 characters of target_song will be used as the title.
The target song you want to generate cover version.
Please upload mp3/wav files and do not exceed 50MB.
To receive the audio returned after processing is completed.
Response
Indicates whether the call was successful. 1 if successful.
When an exception occurs, specific exception information will be provided in the message.
Includes specific data. When the request is successfully sent, a webhoodId will be synchronously returned. The same information will also be called back in the callbackUrl, which is used to correlate the request and the response.
curl --location --request POST 'https://api.myvocal.ai/sound_clone/api/v1/cover' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'voiceId="111"' \
--form 'title="test"' \
--form 'callbackUrl="http://www.google.com"'
# success
{
"code" : 1 ,
"message" : "Success" ,
"data" : {
"webhookId" : "7812"
}
}